%define upstream_name    Text-vCard
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A package that provides APIs to work with single or multiple vCards (RFC 2426) 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text/Text-vCard-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Slurp) >= 9999.40.0
BuildRequires: perl(MIME::Base64) >= 3.70.0
BuildRequires: perl(MIME::QuotedPrint) >= 3.70.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::vFile::asData) >= 0.70.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A vCard is an electronic business card, containing information on a
person, a record, a set of address information, and more.

This package contains two related APIs:
 - Text::vCard, to create or edit a single vCard
 - Text::vCard::Addressbook, to work with multiple vCards

Text::vCard can also use data read through Text::vFile::asData to
generate a vCard with that content. It is recommended to use
Text::vCard::Addressbook, as it handles creating vCards from an existing
file for you.

%prep
%setup -q -n Text-vCard-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Text/*
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.130.0-2.mga3
+ Revision: 374255
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.130.0-1.mga3
+ Revision: 342712
- update to 2.13

* Mon Sep 17 2012 jquelin <jquelin> 2.120.0-1.mga3
+ Revision: 295070
- update to 2.12

* Tue Jun 05 2012 jquelin <jquelin> 2.110.0-1.mga3
+ Revision: 255536
- update to 2.11

* Wed Feb 16 2011 jquelin <jquelin> 2.100.0-1.mga1
+ Revision: 52219
- update to 2.10

* Fri Jan 21 2011 jquelin <jquelin> 2.90.0-1.mga1
+ Revision: 28858
- mageia rebuild
- imported package perl-Text-vCard

